{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}



    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        formConfig: {
            items: [
                new mj.form.field({
                    dataIndex: 'id',
                    hidden: true
                }),
                new mj.form.field({
                    dataIndex: 'version',
                    hidden: true
                }),
                new mj.form.textField({
                    title: "{{ 'JobRotation.code'|trans }}",
                    dataIndex: 'code',
                    maxLength: 50,
                    labelWidth : '110px',
                    grid: 's12 m6'
                }),
                new mj.form.timeField({
                    title: "{{ 'JobRotation.beginval'|trans }}",
                    dataIndex: 'beginval',
                    notEmpty: true,
                    labelWidth : '110px',
                    width:50,
                    grid: 's12 m6'
                }),
                new mj.form.timeField({
                    title: "{{ 'JobRotation.endval'|trans }}",
                    dataIndex: 'endval',
                    notEmpty: true,
                    labelWidth : '110px',
                    width:50,
                    grid: 's12 m6'
                }),
                new mj.form.dateField({
                    title: "{{ 'JobRotation.start'|trans }}",
                    dataIndex: 'start',
                    notEmpty: true,
                    labelWidth : '110px',
                    grid: 's12 m6'
                }),
                new mj.form.dateField({
                    title: "{{ 'JobRotation.finish'|trans }}",
                    dataIndex: 'finish',
                    labelWidth : '110px',
                    grid: 's12 m6'
                })
            ]
        },
        gridConfig : {
            cm: [
                {header: "{{ 'JobRotation.code'|trans }}", dataIndex: 'code', width: 150},
                {header: "{{ 'JobRotation.start'|trans }}", dataIndex: 'start', width: 100},
                {header: "{{ 'JobRotation.finish'|trans }}", dataIndex: 'finish', width: 100}
            ]
        },
        init : function(){
            var t = this;
            {{ modulename }}Obj.superclass.init.call(t);
        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
